﻿@model AccountMgmtModel;

@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

<table>
    <thead>
         <tr>
            <th colspan="2">Name</th>
            <th colspan="2">Date</th>
            <th>Price</th>
            <th>Remark</th>
        </tr>
    </thead>
    
    @foreach (var userInfo in Model.AccountListData)
    {
        <tr>
            <td colspan="2">@userInfo.Name</td>
            <td colspan="2">@userInfo.Date</td>
            <td>@userInfo.Amount</td>
            <td>@userInfo.Remark</td>
        </tr>
    }
        
    </table>


<style>
    table {
        border-collapse: separate;
        border:  1px solid #000;
    }
    
    td, th {
        padding: 8px;
    }
</style>